GMX-MORPH(1)

NAME
gmx-morph - Interpolate linearly between conformations

SYNOPSIS

gmx morph [-f1 [<.gro/.g96/...>]] [-f2 [<.gro/.g96/...>]] [-n [<.ndx>]]
          [-o [<.xtc/.trr/...>]] [-or [<.xvg>]] [-[no]w]
          [-xvg <enum>] [-ninterm <int>] [-first <real>]
          [-last <real>] [-[no]fit]

DESCRIPTION

gmx morph does a linear interpolation of conformations in order to create intermediates. Of course these are completely unphysical, but that you may try to justify yourself. Output is in the form of a generic trajectory. The number of intermediates can be controlled with the -ninterm flag. The first and last flag correspond to the way of interpolating: 0 corresponds to input structure 1 while 1 corresponds to input structure 2. If you specify -first < 0 or -last > 1 extrapolation will be on the path from input structure x_1 to x_2. In general, the coordinates of the intermediate x(i) out of N total intermediates correspond to:

x(i) = x_1 + (first+(i/(N-1))*(last-first))*(x_2-x_1)

Finally the RMSD with respect to both input structures can be computed if explicitly selected (-or option). In that case, an index file may be read to select the group from which the RMS is computed.

OPTIONS

Options to specify input files:

-f1 [<.gro/.g96/…>] (conf1.gro)
    Structure file: gro g96 pdb brk ent esp tpr

-f2 [<.gro/.g96/…>] (conf2.gro)
    Structure file: gro g96 pdb brk ent esp tpr

-n [<.ndx>] (index.ndx) (Optional)
    Index file

    Options to specify output files:

-o [<.xtc/.trr/…>] (interm.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-or [<.xvg>] (rms-interm.xvg) (Optional)
    xvgr/xmgr file

    Other options:

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-ninterm <int> (11)
    Number of intermediates

-first <real> (0)
    Corresponds to first generated structure (0 is input x_1, see above)

-last <real> (1)
    Corresponds to last generated structure (1 is input x_2, see above)

-[no]fit (yes)
    Do a least squares fit of the second to the first structure before interpolating

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2018, GROMACS development team